Subject: bug#60557: [PATCH] Fix eglot prompt when connection already exists

From: Evgeni Kolev <[email-masked]>
Date: Wed, 18 Jan 2023 07:58:26 +0200

Hi João, thank you for addressing this quickly!

Sorry for the delay on my side - I've been dealing with the flu the
last few days.

On Mon, Jan 16, 2023 at 4:54 PM Eli Zaretskii <[email-masked]> wrote:
>
> > From: João Távora <[email-masked]>
> > Date: Mon, 16 Jan 2023 14:42:25 +0000
> > Cc: [email-masked], [email-masked]
> >
> > >   In eglot:
> > >   progmodes/eglot.el:1078:44: Warning: Unused lexical argument `interactive'
> > >
> > > because the INTERACTIVE argument is now unused.
> >
> > You're right, I missed that. Sorry.
> >
> > > Should it be renamed to _interactive?
> >
> > Yes, that would be fine.  As would removing  the argument entirely.
> >
> > M-x eglot is _not_ meant  to be called from Lisp at at all, but some time
> > ago I found at least one user on emacs-devel was doing so.  So removing
> > it may break some code (that is probably already broken anyway, but still...).
>
> I renamed it and updated the doc string to that effect.
>
> Closing.